const fs = require('fs')
const jsdom = require('jsdom')
const fetch = require('node-fetch')
const proc = require('process')
const { JSDOM } = jsdom
proc.env.NODE_TLS_REJECT_UNAUTHORIZED = 1
getArgs = () => {
    const _args = proc.argv
    let realArgs = []
    for (let i = 0; i < _args.length; i++) {
        if (!_args[i].startsWith('C:\\')) {
            realArgs.push(_args[i])
        }
    }
    return realArgs
}
const args = getArgs()
const baseWebsite = 'https://modworkshop.net'
const modUrl = args[0]

console.log('starting..')
JSDOM.fromURL(modUrl).then(dom => {
    console.log('pass 1')
    const { document } = dom.window
    const downloadButton = document.getElementById('download-button')
    const downloadLink = `${baseWebsite}${downloadButton.getAttribute('href')}`
    console.log('pass 2')
    JSDOM.fromURL(downloadLink).then(ddom => {
        console.log('pass 3')
        const { document } = ddom.window
        const directDownloadLink = `${baseWebsite}${document.getElementById('force-download').getAttribute('action')}`
        fs.writeFile('link.txt', directDownloadLink, err => {
            if (err) {
                console.log(err)
                return;
            }
        })
        console.log('passed test!')
        console.log(directDownloadLink)
    })
})